import { DomSanitizer, SafeUrl } from '@angular/platform-browser';
export declare class PaginationService {
    private sanitizer;
    href: string;
    hrefReplaceReg: string | RegExp;
    currentPage: number;
    focusPage: any;
    totalPage: number;
    private current;
    private focused;
    private total;
    current$: import("rxjs/internal/Observable").Observable<number>;
    focused$: import("rxjs/internal/Observable").Observable<any>;
    total$: import("rxjs/internal/Observable").Observable<number>;
    constructor(sanitizer: DomSanitizer);
    initConfig(href: any, hrefReplaceReg: any, totalPage: any): void;
    isClickable(index: any): boolean;
    isFirstOrLastNow(): boolean;
    isCurrent(index: any): boolean;
    isCurrentFirst(): boolean;
    isCurrentLast(): boolean;
    select(index: any): void;
    selectNext(): void;
    selectPrevious(): void;
    focus(index: any): void;
    getHref: (index: any) => String | SafeUrl;
    focusInList: (list: any, offset: any) => void;
    selectfocus: () => void;
}
